> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Log Recordings

> Call Log Recordings — CometChat documentation.

## Overview

The `CometChatCallLogRecordings` is a [Component](/docs/ui-kit/angular/v4/components-overview#components) that shows a paginated list of recordings of a particular call. This allows the user to see all the recordings along with the duration as well as a download link using which one can download the recording.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/2U5tVIzH12dbbFtr/images/acf53e74-call_log_recordings_overview_web_screens-89712078e7da892186f75707b4870c2f.png?fit=max&auto=format&n=2U5tVIzH12dbbFtr&q=85&s=726e6dbd8b7e9c6a5ecca1927274be17" width="3600" height="2400" data-path="images/acf53e74-call_log_recordings_overview_web_screens-89712078e7da892186f75707b4870c2f.png" />
</Frame>

The `Call Log Recordings` is comprised of the following components:

| Components                                        | Description                                                                                                                 |
| ------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| CometChatList                                     | a reusable container component having title, search box, customisable background and a List View                            |
| [CometChatListItem](/docs/ui-kit/angular/v4/list-item) | a component that renders data obtained from a Group object on a Tile having a title, subtitle, leading and trailing view    |
| [cometchat-date](/docs/ui-kit/angular/v4/date)         | This Component used to show the date and time. You can also customize the appearance of this widget by modifying its logic. |
| cometchat-button                                  | This component represents a button with optional icon and text.                                                             |

## Usage

### Integration

<Tabs>
  <Tab title="app.module.ts">
    ```ts theme={null}
    import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
    import { BrowserModule } from "@angular/platform-browser";
    import { CometChatCallLogRecordings } from "@cometchat/chat-uikit-angular";
    import { AppComponent } from "./app.component";

    @NgModule({
      imports: [BrowserModule, CometChatCallLogRecordings],
      declarations: [AppComponent],
      providers: [],
      bootstrap: [AppComponent],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    })
    export class AppModule {}
    ```
  </Tab>

  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings></cometchat-call-log-recordings>
    </div>
    ```
  </Tab>
</Tabs>

### Actions

[Actions](/docs/ui-kit/angular/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

##### 1. onBackClick

`onBackClick` is triggered when you click the Back button Icon of the `Call Log Participants` component. It does not have a default behavior. However, you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public handleOnBack = () => {
        console.log("Your custom on back action");
      }
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [onBackClick]="handleOnBack"
      ></cometchat-call-log-recordings>
    </div>
    ```
  </Tab>
</Tabs>

##### 2. onDownloadClick

`onDownloadClick` is triggered when you click on the download of the of the `Call Log Recordings` component. you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public handleOnDownloadClick = (item: any)=>{
        console.log("your custom on download click actions");
      }
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [onDownloadClick]="handleOnDownloadClick"
      ></cometchat-call-log-recordings>
    </div>
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a `Component`. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using `RequestBuilders` of Chat SDK.

The `Call Log Recordings` component does not have any exposed filters.

***

### Events

[Events](/docs/ui-kit/angular/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The `Call Log Recordings` does not produce any events.

***

## Customization

To fit your app's design requirements, you have the ability to customize the appearance of the `CallLogRecordings` component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

##### 1. CallLogRecordings Style

To customize the appearance, you can assign a `CallLogRecordingsStyle` object to the `Call Log Recordings` component.

**Example**

In this example, we are employing the `CallLogRecordingsStyle`.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogRecordingsStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      callLogRecordingsStyle = new CallLogRecordingsStyle({
        background: "#f4f0fc",
        backIconTint: "#5f20e6",
        titleColor: "#5f20e6",
        dateTextColor: "#5f20e6",
        border: "2px solid #5f20e6",
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [CallLogRecordingsStyle]="callLogRecordingsStyle"
      ></cometchat-call-log-recordings>
    </div>
    ```
  </Tab>
</Tabs>

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/tI1D0nyKUVcz2LEZ/images/c02fce84-call_log_recordings_style_web_screens-ef7ec3f3aaf165044113ea97d3327990.png?fit=max&auto=format&n=tI1D0nyKUVcz2LEZ&q=85&s=3843e0f8b511ee36005b5c5ba6eb169e" width="3600" height="2400" data-path="images/c02fce84-call_log_recordings_style_web_screens-ef7ec3f3aaf165044113ea97d3327990.png" />
</Frame>

***

The following properties are exposed by `CallLogRecordingsStyle`:

| Property                   | Description                          | Code                               |
| -------------------------- | ------------------------------------ | ---------------------------------- |
| **border**                 | Used to set border                   | `border?: string,`                 |
| **borderRadius**           | Used to set border radius            | `borderRadius?: string;`           |
| **background**             | Used to set background colour        | `background?: string;`             |
| **height**                 | Used to set height                   | `height?: string;`                 |
| **width**                  | Used to set width                    | `width?: string;`                  |
| **titleFont**              | Used to set title font               | `titleFont?: string,`              |
| **titleColor**             | Used to set title color              | `titleColor?: string;`             |
| **backIconTint**           | Used to set back icon tint           | `backIconTint?: string;`           |
| **downloadIconTint**       | Used to set download icon tint       | `downloadIconTint?: string;`       |
| **recordingDurationFont**  | Used to set recording duration font  | `recordingDurationFont?: string;`  |
| **recordingDurationColor** | Used to set recording duration color | `recordingDurationColor?: string;` |
| **dateTextFont**           | Used to set date text font           | `dateTextFont?: string;`           |
| **dateTextColor**          | Used to set date text color          | `dateTextColor?: string;`          |

##### 2. ListItem Style

If you want to apply customized styles to the `List Item` component within the `Call Log Recordings` Component, you can use the following code snippet. For more information, you can refer [ListItem Styles](/docs/ui-kit/angular/v4/list-item#listitemstyle).

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      listItemStyle: ListItemStyle = new ListItemStyle({
        background: "transparent",
        padding: "5px",
        border: "1px solid #e9b8f5",
        titleColor: "#8830f2",
        borderRadius: "20px",
        width: "100% !important"
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [listItemStyle]="listItemStyle"
      ></cometchat-call-log-recordings>
    </div>
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

Here is a code snippet demonstrating how you can customize the functionality of the `Call Log Recordings` component.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { DatePatterns } from '@cometchat/uikit-resources';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public datePattern: DatePatterns = DatePatterns.DateTime;
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [title]="'Your Custom Title'"
        [datePattern]="datePattern"
        [downloadIconURL]="myCustomIcon"
      ></cometchat-call-log-recordings>
    </div>
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/8ODUflBxloB1jkgP/images/02fc65f0-call_log_recordings_functionality_default_web_screens-c5c4835a7da348aa86a01231a429af03.png?fit=max&auto=format&n=8ODUflBxloB1jkgP&q=85&s=83444e98c3ead0168f3bc1214e1b8415" width="3600" height="2400" data-path="images/02fc65f0-call_log_recordings_functionality_default_web_screens-c5c4835a7da348aa86a01231a429af03.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/bKHmaxDqzaJZWwLS/images/47615f7f-call_log_recordings_functionality_custom_web_screens-2c51d8441ade4186966015caaffbd550.png?fit=max&auto=format&n=bKHmaxDqzaJZWwLS&q=85&s=2b5f82e955522934206abd669a227023" width="3600" height="2400" data-path="images/47615f7f-call_log_recordings_functionality_custom_web_screens-2c51d8441ade4186966015caaffbd550.png" />
</Frame>

***

Below is a list of customizations along with corresponding code snippets

| Property               | Description                                                                  | Code                                             |
| ---------------------- | ---------------------------------------------------------------------------- | ------------------------------------------------ |
| **title**              | Used to set custom title                                                     | `[title]="'Your Custom Title'"`                  |
| **backIconUrl**        | Used to set custom back icon URL                                             | `[backIconUrl]="'custom back icon url'"`         |
| **downloadIconUrl**    | Used to set custom download icon URL                                         | `[downloadIconUrl]="'custom download icon url'"` |
| **datePattern**        | Used to set custom date pattern                                              | `[datePattern]="datePattern"`                    |
| **call**               | Call data object                                                             | `call: CallLog;`                                 |
| **hideDownloadButton** | used to control the visibility of the download button in the user interface. | `[hideDownloadButton]="true"`                    |

***

### Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the `Call Log Recordings` Component.

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/T-kVUXtubs0NtFU5/images/cdcdec4c-call_log_recordings_listitemview_defailt_web_screens-89712078e7da892186f75707b4870c2f.png?fit=max&auto=format&n=T-kVUXtubs0NtFU5&q=85&s=0df8c1cc614afd633a29fd71b859f405" width="3600" height="2400" data-path="images/cdcdec4c-call_log_recordings_listitemview_defailt_web_screens-89712078e7da892186f75707b4870c2f.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/L67V-UjCgqzL1qxp/images/72b37c4b-call_log_recordings_listitemview_custom_web_screens-02b9582a140254b5a2b480386d204785.png?fit=max&auto=format&n=L67V-UjCgqzL1qxp&q=85&s=9ddb350426a089ff37ae2e245bf97e41" width="3600" height="2400" data-path="images/72b37c4b-call_log_recordings_listitemview_custom_web_screens-02b9582a140254b5a2b480386d204785.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [listItemView]="listItemView"
      ></cometchat-call-log-recordings>
    </div>
    <ng-template #listItemView>
      <div>your custom listitem</div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each call log Recordings item to meet your requirements

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/qrEt0CwYkpwR_jD-/images/d76ec74f-call_log_recordings_subtitleview_default_web_screens-e41285dbb07d2fac3cd592409462aded.png?fit=max&auto=format&n=qrEt0CwYkpwR_jD-&q=85&s=edc7996fee4f8403372d2ef01000cd2d" width="3600" height="2400" data-path="images/d76ec74f-call_log_recordings_subtitleview_default_web_screens-e41285dbb07d2fac3cd592409462aded.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/gHkTur1I2BmQKdRR/images/055d5b36-call_log_recordings_subtitleview_custom_web_screens-905925bea7a35f5b7e124d7f989df168.png?fit=max&auto=format&n=gHkTur1I2BmQKdRR&q=85&s=2c6cb789fb429beea53a89d1db0a31c3" width="3600" height="2400" data-path="images/055d5b36-call_log_recordings_subtitleview_custom_web_screens-905925bea7a35f5b7e124d7f989df168.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-log-recordings
        [subtitleView]="subtitleTemplate"
      ></cometchat-call-log-recordings>
    </div>
    <ng-template #subtitleTemplate>
      <div
        style="display: flex; align-items: left; padding: 10px; font-size: 10px;"
      >
        your custom subtitle view
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***


> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Log Recordings

> Call Log Recordings — CometChat documentation.

## Overview

The `CometChatCallLogRecordings` is a [Component](/ui-kit/react/v4/components-overview#components) that shows a paginated list of recordings of a particular call. This allows the user to see all the recordings along with the duration as well as a download link using which one can download the recording.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/2U5tVIzH12dbbFtr/images/acf53e74-call_log_recordings_overview_web_screens-89712078e7da892186f75707b4870c2f.png?fit=max&auto=format&n=2U5tVIzH12dbbFtr&q=85&s=726e6dbd8b7e9c6a5ecca1927274be17" width="3600" height="2400" data-path="images/acf53e74-call_log_recordings_overview_web_screens-89712078e7da892186f75707b4870c2f.png" />
</Frame>

The `Call Log Recordings` is comprised of the following components:

| Components                                      | Description                                                                                                                 |
| ----------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| CometChatList                                   | a reusable container component having title, search box, customisable background and a List View                            |
| [CometChatListItem](/ui-kit/react/v4/list-item) | a component that renders data obtained from a Group object on a Tile having a title, subtitle, leading and trailing view    |
| [cometchat-date](/ui-kit/react/v4/date)         | This Component used to show the date and time. You can also customize the appearance of this widget by modifying its logic. |
| cometchat-button                                | This component represents a button with optional icon and text.                                                             |

## Usage

### Integration

<Tabs>
  <Tab title="CallLogRecordingsDemo.tsx">
    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);
      return <CometChatCallLogRecordings call={callLog} />;
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="App.tsx">
    ```typescript theme={null}
    import { CallLogRecordingsDemo } from "./CallLogRecordingsDemo";

    export default function App() {
      return (
        <div className="App">
          <div>
            <CallLogRecordingsDemo />
          </div>
        </div>
      );
    }
    ```
  </Tab>
</Tabs>

### Actions

[Actions](/ui-kit/react/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

#### 1. onBackClick

`onBackClick` is triggered when you click the Back button Icon of the `Call Log Participants` component. It does not have a default behavior. However, you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const handleOnBackClick = () => {
        //your custom on back click action
      };

      return (
        <CometChatCallLogRecordings
          call={callLog}
          onBackClick={handleOnBackClick}
        />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

      const handleOnBackClick = () =>{
        //your custom on back click action
      }

        return (
            <CometChatCallLogRecordings
                call={callLog}
                onBackClick={handleOnBackClick}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

#### 2. onItemClick

`onItemClick` is triggered when you click on a ListItem of the of the `Call Log Participants` component. It does not have a default behavior. However, you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const handleOnItemClick = () => {
        //your custom on item click action
      };

      return (
        <CometChatCallLogRecordings
          call={callLog}
          onItemClick={handleOnItemClick}
        />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

      const handleOnItemClick = () =>{
        //your custom on item click action
      }

        return (
            <CometChatCallLogRecordings
                call={callLog}
                onItemClick={handleOnItemClick}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

#### 2. onDownloadClick

`onDownloadClick` is triggered when you click on the download of the of the `Call Log Recordings` component. you can override its behavior using the following code snippet.

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const handleOnDownloadClick = () => {
        //your custom on back click action
      };

      return (
        <CometChatCallLogRecordings
          call={callLog}
          onDownloadClick={handleOnDownloadClick}
        />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        const handleOnDownloadClick = () => {
            //your custom on back click action
        }

        return (
            <CometChatCallLogRecordings
                call={callLog}
                onDownloadClick={handleOnDownloadClick}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a `Component`. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using `RequestBuilders` of Chat SDK.

The `Call Log Recordings` component does not have any exposed filters.

***

### Events

[Events](/ui-kit/react/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The `Call Log Recordings` does not produce any events.

***

## Customization

To fit your app's design requirements, you have the ability to customize the appearance of the `CallLogRecordings` component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

#### 1. CallLogRecordings Style

To customize the appearance, you can assign a `CallLogRecordingsStyle` object to the `Call Log Recordings` component.

**Example**

In this example, we are employing the `CallLogRecordingsStyle`.

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
      CallLogRecordingsStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const callLogRecordingsStyle = new CallLogRecordingsStyle({
        background: "#f8f5ff",
        titleColor: "#6f3ae0",
        dateTextColor: "#6f34ed",
        recordingDurationColor: "#6f34ed",
      });

      return (
        <CometChatCallLogRecordings
          call={callLog}
          callLogRecordingsStyle={callLogRecordingsStyle}
        />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit, CallLogRecordingsStyle } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        const callLogRecordingsStyle = new CallLogRecordingsStyle({
            background: '#f8f5ff',
            titleColor: '#6f3ae0',
            dateTextColor: '#6f34ed',
            recordingDurationColor:'#6f34ed',
        });

        return (
            <CometChatCallLogRecordings
                call={callLog}
                callLogRecordingsStyle={callLogRecordingsStyle}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/tI1D0nyKUVcz2LEZ/images/c02fce84-call_log_recordings_style_web_screens-ef7ec3f3aaf165044113ea97d3327990.png?fit=max&auto=format&n=tI1D0nyKUVcz2LEZ&q=85&s=3843e0f8b511ee36005b5c5ba6eb169e" width="3600" height="2400" data-path="images/c02fce84-call_log_recordings_style_web_screens-ef7ec3f3aaf165044113ea97d3327990.png" />
</Frame>

***

The following properties are exposed by `CallLogRecordingsStyle`:

| Property                   | Description                          | Code                               |
| -------------------------- | ------------------------------------ | ---------------------------------- |
| **border**                 | Used to set border                   | `border?: string,`                 |
| **borderRadius**           | Used to set border radius            | `borderRadius?: string;`           |
| **background**             | Used to set background colour        | `background?: string;`             |
| **height**                 | Used to set height                   | `height?: string;`                 |
| **width**                  | Used to set width                    | `width?: string;`                  |
| **titleFont**              | Used to set title font               | `titleFont?: string,`              |
| **titleColor**             | Used to set title color              | `titleColor?: string;`             |
| **backIconTint**           | Used to set back icon tint           | `backIconTint?: string;`           |
| **downloadIconTint**       | Used to set download icon tint       | `downloadIconTint?: string;`       |
| **recordingDurationFont**  | Used to set recording duration font  | `recordingDurationFont?: string;`  |
| **recordingDurationColor** | Used to set recording duration color | `recordingDurationColor?: string;` |
| **dateTextFont**           | Used to set date text font           | `dateTextFont?: string;`           |
| **dateTextColor**          | Used to set date text color          | `dateTextColor?: string;`          |

#### 2. ListItem Style

If you want to apply customized styles to the `ListItemStyle` component within the `Call Log Recordings` Component, you can use the following code snippet. For more information, you can refer [ListItem Styles](/ui-kit/react/v4/list-item#listitemstyle).

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
      ListItemStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const listItemStyle = new ListItemStyle({
        background: "#f8f5ff",
        activeBackground: "#6f34ed",
        titleColor: "#6f34ed",
      });

      return (
        <CometChatCallLogRecordings call={callLog} listItemStyle={listItemStyle} />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit, ListItemStyle } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        const listItemStyle = new ListItemStyle({
            background: '#f8f5ff',
            activeBackground: '#6f34ed',
            titleColor: '#6f34ed'
        });

        return (
            <CometChatCallLogRecordings
                call={callLog}
                listItemStyle={listItemStyle}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of small functional customizations that allow you to fine-tune the overall experience of the component. With these, you can change text, set custom icons, and toggle the visibility of UI elements.

Here is a code snippet demonstrating how you can customize the functionality of the `Call Log Recordings` component.

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
      DatePatterns,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      return (
        <CometChatCallLogRecordings
          call={callLog}
          title="Your Custom Title"
          datePattern={DatePatterns.DateTime}
          downloadIconUrl="Your Custom Download Icon"
        />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit, DatePatterns } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

        return (
            <CometChatCallLogRecordings
                call={callLog}
                title='Your Custom Title'
    			datePattern={DatePatterns.DateTime}
    			downloadIconUrl='Your Custom Download Icon'
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/8ODUflBxloB1jkgP/images/02fc65f0-call_log_recordings_functionality_default_web_screens-c5c4835a7da348aa86a01231a429af03.png?fit=max&auto=format&n=8ODUflBxloB1jkgP&q=85&s=83444e98c3ead0168f3bc1214e1b8415" width="3600" height="2400" data-path="images/02fc65f0-call_log_recordings_functionality_default_web_screens-c5c4835a7da348aa86a01231a429af03.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/bKHmaxDqzaJZWwLS/images/47615f7f-call_log_recordings_functionality_custom_web_screens-2c51d8441ade4186966015caaffbd550.png?fit=max&auto=format&n=bKHmaxDqzaJZWwLS&q=85&s=2b5f82e955522934206abd669a227023" width="3600" height="2400" data-path="images/47615f7f-call_log_recordings_functionality_custom_web_screens-2c51d8441ade4186966015caaffbd550.png" />
</Frame>

***

Below is a list of customizations along with corresponding code snippets

| Property               | Description                                                                  | Code                                         |
| ---------------------- | ---------------------------------------------------------------------------- | -------------------------------------------- |
| **title**              | Used to set custom title                                                     | `title='Your Custom Title'`                  |
| **backIconUrl**        | Used to set custom back icon URL                                             | `backIconUrl='custom back icon url'`         |
| **downloadIconUrl**    | Used to set custom download icon URL                                         | `downloadIconUrl='custom download icon url'` |
| **datePattern**        | Used to set custom date pattern                                              | `datePattern={DatePatterns.DayDateTime}`     |
| **call**               | Call data object                                                             | `call: CallLog;`                             |
| **hideDownloadButton** | used to control the visibility of the download button in the user interface. | `hideDownloadButton={true}`                  |

***

### Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your views, layouts, and UI elements and then incorporate those into the component.

***

#### ListItemView

With this property, you can assign a custom ListItem to the `Call Log Recordings` Component.

```
listItemView = { getListItemView };
```

**Example**

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/T-kVUXtubs0NtFU5/images/cdcdec4c-call_log_recordings_listitemview_defailt_web_screens-89712078e7da892186f75707b4870c2f.png?fit=max&auto=format&n=T-kVUXtubs0NtFU5&q=85&s=0df8c1cc614afd633a29fd71b859f405" width="3600" height="2400" data-path="images/cdcdec4c-call_log_recordings_listitemview_defailt_web_screens-89712078e7da892186f75707b4870c2f.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/L67V-UjCgqzL1qxp/images/72b37c4b-call_log_recordings_listitemview_custom_web_screens-02b9582a140254b5a2b480386d204785.png?fit=max&auto=format&n=L67V-UjCgqzL1qxp&q=85&s=9ddb350426a089ff37ae2e245bf97e41" width="3600" height="2400" data-path="images/72b37c4b-call_log_recordings_listitemview_custom_web_screens-02b9582a140254b5a2b480386d204785.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
      Recording,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const getListItemView = (recording: Recording) => {
        return (
          <div
            style={{
              border: "1px solid #E0E0E0",
              borderRadius: "10px",
              background: "#f8f7ff",
              color: "#000000",
              padding: "10px",
              textAlign: "left",
            }}
          >
            {recording.getEndTime()}
          </div>
        );
      };

      return (
        <CometChatCallLogRecordings call={callLog} listItemView={getListItemView} />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

    	const getListItemView = (recording) => {
            return (
                <div style={{ border: '1px solid #E0E0E0', borderRadius: '10px', background: '#f8f7ff', color: '#000000', padding: '10px', textAlign: 'left' }}>{recording.getEndTime()}</div>
            );
        };

        return (
            <CometChatCallLogRecordings
                call={callLog}
                listItemView={getListItemView}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

***

#### SubtitleView

You can customize the subtitle view for each call log Recordings item to meet your requirements

```javascript theme={null}
subtitleView = { getSubtitleView };
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/qrEt0CwYkpwR_jD-/images/d76ec74f-call_log_recordings_subtitleview_default_web_screens-e41285dbb07d2fac3cd592409462aded.png?fit=max&auto=format&n=qrEt0CwYkpwR_jD-&q=85&s=edc7996fee4f8403372d2ef01000cd2d" width="3600" height="2400" data-path="images/d76ec74f-call_log_recordings_subtitleview_default_web_screens-e41285dbb07d2fac3cd592409462aded.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/gHkTur1I2BmQKdRR/images/055d5b36-call_log_recordings_subtitleview_custom_web_screens-905925bea7a35f5b7e124d7f989df168.png?fit=max&auto=format&n=gHkTur1I2BmQKdRR&q=85&s=2c6cb789fb429beea53a89d1db0a31c3" width="3600" height="2400" data-path="images/055d5b36-call_log_recordings_subtitleview_custom_web_screens-905925bea7a35f5b7e124d7f989df168.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
      Recording,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      const getSubtitleView = (recording: Recording): JSX.Element => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "2px",
              fontSize: "10px",
            }}
          >
            <div style={{ color: "gray", fontSize: "15px" }}>
              {recording.getDuration()}
            </div>
          </div>
        );
      };

      return (
        <CometChatCallLogRecordings call={callLog} subtitleView={getSubtitleView} />
      );
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

    	const getSubtitleView = (recording) => {
            return (
                <div
                    style={{
                        display: "flex",
                        alignItems: "left",
                        padding: "2px",
                        fontSize: "10px"
                    }}
                >
                    <div style={{ color: "gray", fontSize: '15px' }}>
                        {recording.getDuration()}
                    </div>
                </div>
            );
        };

        return (
            <CometChatCallLogRecordings
                call={callLog}
                subtitleView={getSubtitleView}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

***

#### TailView

You can customize the tail view for each call log Recordings item to meet your requirements

```javascript theme={null}
tailView = { getTailView };
```

Default:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/THlknidvlbNx5AzI/images/a8cf8fd1-call_log_recordings_tailview_default_web_screens-d5d2e45e8b57110c9490578a7b8c6922.png?fit=max&auto=format&n=THlknidvlbNx5AzI&q=85&s=d4f85388b7b1cb4bd49738972414da6e" width="3600" height="2400" data-path="images/a8cf8fd1-call_log_recordings_tailview_default_web_screens-d5d2e45e8b57110c9490578a7b8c6922.png" />
</Frame>

Custom:

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/lqGH-Bgiq2mgS9m9/images/bd35c697-call_log_recordings_tailview_custom_web_screens-20515e532fa65ffd52a71684f3ae12aa.png?fit=max&auto=format&n=lqGH-Bgiq2mgS9m9&q=85&s=784a5dbf5f7b21c458e6195b9361ca32" width="3600" height="2400" data-path="images/bd35c697-call_log_recordings_tailview_custom_web_screens-20515e532fa65ffd52a71684f3ae12aa.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogRecordingsDemo.tsx

    ```typescript theme={null}
    import {
      CallLog,
      CallLogRequestBuilder,
      Recording,
    } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogRecordings,
      CometChatUIKit,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogRecordingsDemo = () => {
      const [callLog, setCallLog] = React.useState<CallLog>();

      React.useEffect(() => {
        //code
        CometChatUIKit.login("uid")
          .then(async (user: CometChat.User) => {
            const callLogRequest = new CallLogRequestBuilder()
              .setLimit(10)
              .setAuthToken(user!.getAuthToken())
              .build();

            callLogRequest
              .fetchNext()
              .then((callLogs: CallLog[]) => {
                setCallLog(callLogs[0]);
              })
              .catch(() => {
                //handle error
              });
          })
          .catch((error: any) => {
            //handle error
          });
      }, []);

      function getTailView(recording: Recording): JSX.Element {
        return (
          <div style={{ color: "#e8e4f7", padding: "5px" }}>
            {recording.getDuration()}
          </div>
        );
      }

      return <CometChatCallLogRecordings call={callLog} tailView={getTailView} />;
    };

    export default CallLogRecordingsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogRecordingsDemo.jsx

    ```javascript theme={null}

    import { CallLogRequestBuilder } from '@cometchat/calls-sdk-javascript';
    import { CometChatCallLogRecordings, CometChatUIKit } from '@cometchat/chat-uikit-react';
    import React from 'react'

    const CallLogRecordingsDemo = () => {

        const [callLog, setCallLog] = React.useState();

        React.useEffect(() => {
            //code
            CometChatUIKit.login('uid')
                .then(async (user) => {

                    const callLogRequest = new CallLogRequestBuilder().setLimit(10).setAuthToken(user!.getAuthToken()).build();

                    callLogRequest.fetchNext()
                        .then((callLogs) => {
                            setCallLog(callLogs[0])
                        })
                        .catch(() => {
                            //handle error
                        });

                })
                .catch((error) => {
                    //handle error
                });
        }, []);

    	function getTailView(recording) {

            return (
                <div style={{ color: '#e8e4f7', padding: '5px' }}>{recording.getDuration()}</div>
            )
        };

        return (
            <CometChatCallLogRecordings
                call={callLog}
                tailView={getTailView}
            />
        )
    }

    export default CallLogRecordingsDemo;
    ```
  </Tab>
</Tabs>

***
